Commits

Anonymous committed 9c4eda1

fix path to extras

Comments (0)

Files changed (2)

rules/misc/30-kernel-compat.rules

 
 ACTION!="add", GOTO="kernel_compat_end"
 
-# see extras/qemu/42-qemu-usb.rules, version for 2.6.32 + older.
+# see src/extras/qemu/42-qemu-usb.rules, version for 2.6.32 + older.
 ACTION=="add", SUBSYSTEM=="usb", ATTR{product}=="QEMU USB Mouse", ATTR{serial}=="42", TEST=="power/level", ATTR{power/level}="auto"
 ACTION=="add", SUBSYSTEM=="usb", ATTR{product}=="QEMU USB Tablet", ATTR{serial}=="42", TEST=="power/level", ATTR{power/level}="auto"
 ACTION=="add", SUBSYSTEM=="usb", ATTR{product}=="QEMU USB Keyboard", ATTR{serial}=="42", TEST=="power/level", ATTR{power/level}="auto"

src/extras/keymap/check-keymaps.sh

-#!/usr/bin/env bash
+#!/bin/bash
 
 # check that all key names in keymaps/* are known in <linux/input.h>
 # and that all key maps listed in the rules are valid and present in
 # Makefile.am
 SRCDIR=${1:-.}
 KEYLIST=${2:-src/extras/keymap/keys.txt}
-KEYMAPS_DIR=$SRCDIR/src/extras/keymap/keymaps #extras/keymap/keymaps
+KEYMAPS_DIR=$SRCDIR/src/extras/keymap/keymaps
 RULES=$SRCDIR/src/extras/keymap/95-keymap.rules
 
 [ -e "$KEYLIST" ] || {
 missing=$(join -v 2 <(awk '{print tolower(substr($1,5))}' $KEYLIST | sort -u) \
                     <(grep -hv '^#' ${KEYMAPS_DIR}/*| awk '{print $2}' | sort -u))
 [ -z "$missing" ] || {
-        echo "ERROR: unknown key names in extras/keymap/keymaps/*:" >&2
+        echo "ERROR: unknown key names in src/extras/keymap/keymaps/*:" >&2
         echo "$missing" >&2
         exit 1
 }
                 echo "ERROR: unknown map name in $RULES: $m" >&2
                 exit 1
         }
-        grep -q "extras/keymap/keymaps/$m\>" $SRCDIR/Makefile.am || {
+        grep -q "src/extras/keymap/keymaps/$m\>" $SRCDIR/Makefile.am || {
                 echo "ERROR: map file $m is not added to Makefile.am" >&2
                 exit 1
         }